Bug 1156449 - libguestfs FTBFS on f21 ppc64le
Summary: libguestfs FTBFS on f21 ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libguestfs
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-10-24 13:34 UTC by Menanteau Guy
Modified: 2014-11-14 12:07 UTC (History)
5 users (show)

Fixed In Version: libguestfs-1.28.2-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 05:58:16 UTC


Attachments (Terms of Use)
libguestfs ppc64le patch (1.29 KB, patch)
2014-10-24 13:35 UTC, Menanteau Guy
no flags Details | Diff

Description Menanteau Guy 2014-10-24 13:34:24 UTC
libguestfs-1.28.1-1.fc21 failed to build on ppc64le arch

checking for bison... bison -y
checking for qemu-kvm... no
checking for qemu-system-ppc64le... no
checking for qemu... no
configure: error: qemu must be installed
error: Bad exit status from /var/tmp/rpm-tmp.0Zq48H (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.0Zq48H (%build)

This is due to check on /usr/bin/qemu-system-ppc64le
when the qemu installs /usr/bin/qemu-system-ppc64 for ppc64le arch

I succeed to scrtch build a libguestfs on ppc64le
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2159373
using a patch and a change on libguestfs.spec.

Please consider change on libguestfs.spec:
--- libguestfs.spec.ori	2014-10-24 04:16:39.869205037 -0500
+++ libguestfs.spec	2014-10-24 07:31:19.777843838 -0500
@@ -777,7 +780,11 @@ fi
 %{configure} \
   --with-default-backend=libvirt \
   --with-extra="fedora=%{fedora},release=%{release},libvirt" \
+%ifarch ppc64le 
+  --with-qemu="qemu-kvm qemu-system-ppc64 qemu" \
+%else
   --with-qemu="qemu-kvm qemu-system-%{_build_arch} qemu" \
+%endif
   --enable-install-daemon \
 %ifnarch %{golang_arches}
   --disable-golang \

Comment 1 Menanteau Guy 2014-10-24 13:35:29 UTC
Created attachment 950383 [details]
libguestfs ppc64le patch

Comment 2 Richard W.M. Jones 2014-10-24 13:46:04 UTC
I think this (untested) upstream patch is better:

https://github.com/libguestfs/libguestfs/commit/a61d190ed3c7eb0d9389abcd69c44c78dd2be3ad

Comment 3 Menanteau Guy 2014-10-24 14:28:49 UTC
This patch is included in my file attached too, I didn't notice it was already in upstream.
But anyway, it was not enough in my case and without the change on libguestfs.spec it was still failing...

Comment 4 Richard W.M. Jones 2014-10-24 15:52:35 UTC
Ah, sorry, I didn't see that attachment.

I have now pushed the remaining part of that upstream.

https://github.com/libguestfs/libguestfs/commit/5018e001290a585ed303bc311cdeeca6b5c11e98

I'm closing this because these patches will eventually be
added to stable, thus fixing it on F21.

Comment 5 Gustavo Luiz Duarte 2014-10-24 20:01:58 UTC
Thanks(In reply to Richard W.M. Jones from comment #4)
> Ah, sorry, I didn't see that attachment.
> 
> I have now pushed the remaining part of that upstream.
> 
> https://github.com/libguestfs/libguestfs/commit/
> 5018e001290a585ed303bc311cdeeca6b5c11e98

Thanks!

> 
> I'm closing this because these patches will eventually be
> added to stable, thus fixing it on F21.

Do you have a time frame for the inclusion of this fix in F21? We have other stuff being blocked by libguestfs right now.

Comment 6 Richard W.M. Jones 2014-10-24 20:31:48 UTC
OK right, I didn't know.  I'll backport this soon.

Comment 7 Richard W.M. Jones 2014-10-24 20:57:40 UTC
Can you try to kick off a ppc64le build now?  If not you'll have
to wait and see if
http://koji.fedoraproject.org/koji/taskinfo?taskID=7939994 finishes.

Comment 8 Fedora Update System 2014-10-25 06:13:39 UTC
libguestfs-1.28.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libguestfs-1.28.1-2.fc21

Comment 9 Fedora Update System 2014-10-27 08:17:23 UTC
Package libguestfs-1.28.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libguestfs-1.28.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13630/libguestfs-1.28.1-2.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-10-27 19:49:39 UTC
libguestfs-1.28.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libguestfs-1.28.2-1.fc21

Comment 11 Fedora Update System 2014-11-01 07:44:14 UTC
libguestfs-1.28.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libguestfs-1.28.2-2.fc21

Comment 12 Richard W.M. Jones 2014-11-05 17:20:31 UTC
So that in fact didn't solve the problem.  I've removed
the entire %configure --with-qemu... from Rawhide, to see
if that works.  If it does I'll port that to F21.

Comment 13 Fedora Update System 2014-11-06 19:12:28 UTC
libguestfs-1.28.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libguestfs-1.28.2-3.fc21

Comment 14 Fedora Update System 2014-11-07 05:31:28 UTC
Package libguestfs-1.28.2-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libguestfs-1.28.2-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14443/libguestfs-1.28.2-3.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-11-10 05:58:16 UTC
libguestfs-1.28.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-11-14 12:07:57 UTC
libguestfs-1.28.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.